# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "qmc"
version = "2.16.2"
authors = ["Sumner Hearth <sumnernh@gmail.com>"]
description = "Quantum Monte Carlo simulations in Rust"
documentation = "https://docs.rs/qmc/"
license = "MIT"
repository = "https://github.com/Renmusxd/IsingMonteCarlo"
[profile.release]
lto = "fat"
codegen-units = 1
panic = "abort"
[dependencies.itertools]
version = "^0.10"
optional = true

[dependencies.rand]
version = "^0.8"

[dependencies.rayon]
version = "^1.5"
optional = true

[dependencies.rustfft]
version = "^5.0"
optional = true

[dependencies.serde]
version = "^1.0"
features = ["derive"]
optional = true

[dependencies.smallvec]
version = "^1.6"
[dev-dependencies.rand]
version = "^0.8"
features = ["small_rng"]

[dev-dependencies.rand_chacha]
version = "^0.3"

[dev-dependencies.rand_isaac]
version = "^0.3"
features = ["serde1"]

[dev-dependencies.serde_json]
version = "^1.0"

[features]
autocorrelations = ["rustfft"]
default = []
nightly = ["smallvec/specialization", "smallvec/union"]
parallel-tempering = ["rayon", "tempering"]
serialize = ["serde", "rand/serde1", "smallvec/serde"]
tempering = ["itertools"]
